Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • VibeCraft
    • Yandex Cloud Detection and Response
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • GOST Gateway
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • SourceCraft
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex DataLens
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Add subscription
        • Get subscription by id
        • Update subscription
        • Delete subscription by id
        • Get subscription list
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Body
  • SubscriptionRecipient
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Subscriptions
  4. Update subscription
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
    • Body
    • SubscriptionRecipient
  • Responses
  • 200 OK
    • Body

Update subscription

Updates the specified subscription.

RequestRequest

POST

https://api.datalens.tech/rpc/updateSubscription

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "title": "example",
  "description": "example",
  "content": {
    "type": "dash",
    "entryId": "example",
    "options": {
      "states": [
        {}
      ],
      "aiSummary": {
        "enabled": true,
        "prompt": "example"
      }
    }
  },
  "trigger": {
    "type": "cron",
    "entryId": "example",
    "options": {
      "expression": "example",
      "timezone": "example"
    }
  },
  "artifact": {
    "type": "png",
    "options": {
      "size": [
        null
      ],
      "fullPage": true
    }
  },
  "recipients": [
    {
      "subjectId": "example",
      "subjectType": "userAccount"
    }
  ],
  "selfSubscribeEnabled": true,
  "status": "active",
  "tenantId": "example",
  "workbookId": "example",
  "meta": {},
  "subscriptionId": "7lieexzx4kxs0"
}

Name

Description

artifact

One of 2 types
  • Type: object

    options

    Type: object

    fullPage

    Type: boolean

    size

    Type: array | null

    Example
    [
      null
    ]
    
    Example
    {
      "size": [
        null
      ],
      "fullPage": true
    }
    

    type

    Type: string

    Const: png

    Example: example

    Example
    {
      "type": "png",
      "options": {
        "size": [
          null
        ],
        "fullPage": true
      }
    }
    
  • Type: object

    options

    Type: object
    Example
    {}
    

    type

    Type: string

    Const: pdf

    Example: example

    Example
    {
      "type": "pdf",
      "options": {}
    }
    
Example
{
  "type": "png",
  "options": {
    "size": [
      null
    ],
    "fullPage": true
  }
}

content

One of 2 types
  • Type: object

    entryId

    Type: string

    Example: example

    options

    Type: object

    states

    Type: object[]

    state

    Type: string

    Example: example

    tab

    Type: string

    Example: example

    parameters

    Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

    stateTitle

    Type: string | null

    Example: example

    Min items: 1

    Max items: 10

    Example
    [
      {
        "tab": "example",
        "state": "example",
        "stateTitle": "example",
        "parameters": {}
      }
    ]
    

    aiSummary

    Type: object | null

    Example
    {
      "enabled": true,
      "prompt": "example"
    }
    
    Example
    {
      "states": [
        {
          "tab": "example",
          "state": "example",
          "stateTitle": "example",
          "parameters": {}
        }
      ],
      "aiSummary": {
        "enabled": true,
        "prompt": "example"
      }
    }
    

    type

    Type: string

    Const: dash

    Example: example

    Example
    {
      "type": "dash",
      "entryId": "example",
      "options": {
        "states": [
          {
            "tab": "example",
            "state": "example",
            "stateTitle": "example",
            "parameters": {}
          }
        ],
        "aiSummary": {
          "enabled": true,
          "prompt": "example"
        }
      }
    }
    
  • Type: object

    entryId

    Type: string

    Example: example

    options

    Type: object

    states

    Type: object[]

    parameters

    Type: object

    [additional]

    Type: unknown

    Example: null

    Example
    {}
    

    stateTitle

    Type: string | null

    Example: example

    Min items: 1

    Max items: 10

    Example
    [
      {
        "stateTitle": "example",
        "parameters": {}
      }
    ]
    
    Example
    {
      "states": [
        {
          "stateTitle": "example",
          "parameters": {}
        }
      ]
    }
    

    type

    Type: string

    Const: report

    Example: example

    Example
    {
      "type": "report",
      "entryId": "example",
      "options": {
        "states": [
          {
            "stateTitle": "example",
            "parameters": {}
          }
        ]
      }
    }
    
Example
{
  "type": "dash",
  "entryId": "example",
  "options": {
    "states": [
      {
        "tab": "example",
        "state": "example",
        "stateTitle": "example",
        "parameters": {}
      }
    ],
    "aiSummary": {
      "enabled": true,
      "prompt": "example"
    }
  }
}

recipients

Type: SubscriptionRecipient[]

Example
[
  {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
]

selfSubscribeEnabled

Type: boolean

status

Type: string

Enum: active, stopped

subscriptionId

Type: string

Min length: 1

Pattern: ^[a-zA-Z0-9._:-]+$

Example: 7lieexzx4kxs0

tenantId

Type: string

Example: example

title

Type: string

Example: example

trigger

One of 2 types
  • Type: object

    options

    Type: object

    expression

    Type: string

    Min length: 1

    Example: example

    timezone

    Type: string

    Example: example

    Example
    {
      "expression": "example",
      "timezone": "example"
    }
    

    type

    Type: string

    Const: cron

    Example: example

    entryId

    Type: string | null

    Example: example

    Example
    {
      "type": "cron",
      "entryId": "example",
      "options": {
        "expression": "example",
        "timezone": "example"
      }
    }
    
  • Type: object

    entryId

    Type: string

    Min length: 1

    Example: example

    options

    Type: object

    query

    Type: string

    Min length: 1

    Max length: 100000

    Example: example

    timezone

    Type: string

    Example: example

    Example
    {
      "query": "example",
      "timezone": "example"
    }
    

    type

    Type: string

    Const: sql

    Example: example

    Example
    {
      "type": "sql",
      "entryId": "example",
      "options": {
        "query": "example",
        "timezone": "example"
      }
    }
    
Example
{
  "type": "cron",
  "entryId": "example",
  "options": {
    "expression": "example",
    "timezone": "example"
  }
}

workbookId

Type: string

Example: example

description

Type: string | null

Example: example

meta

Type: object

[additional]

Type: string

Example: example

Example
{}

SubscriptionRecipientSubscriptionRecipient

Name

Description

subjectId

Type: string

ID of the recipient user account.

Example: example

subjectType

Type: string

Recipient subject type. Only user accounts are supported.

Const: userAccount

Example: example

Example
{
  "subjectId": "example",
  "subjectType": "userAccount"
}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "title": "example",
  "description": "example",
  "content": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "trigger": {
    "type": "example",
    "entryId": "example",
    "options": {}
  },
  "artifact": {
    "type": "example",
    "options": {}
  },
  "recipients": [
    {
      "subjectId": "example",
      "subjectType": "userAccount"
    }
  ],
  "selfSubscribeEnabled": true,
  "status": "active",
  "tenantId": "example",
  "workbookId": "example",
  "meta": {},
  "subscriptionId": "example",
  "createdAt": "example",
  "updatedAt": "example",
  "suspendedAt": "example",
  "createdBy": "example",
  "updatedBy": "example"
}

Name

Description

artifact

Type: object

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "options": {}
}

content

Type: object

entryId

Type: string

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

createdAt

Type: string

Example: example

createdBy

Type: string

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Example
{}

recipients

Type: SubscriptionRecipient[]

Example
[
  {
    "subjectId": "example",
    "subjectType": "userAccount"
  }
]

selfSubscribeEnabled

Type: boolean

status

Type: string

Enum: active, stopped, suspended

subscriptionId

Type: string

Example: example

suspendedAt

Type: string | null

Example: example

tenantId

Type: string

Example: example

title

Type: string

Example: example

trigger

Type: object

entryId

Type: string | null

Example: example

options

Type: object

[additional]

Type: unknown

Example: null

Example
{}

type

Type: string

Example: example

Example
{
  "type": "example",
  "entryId": "example",
  "options": {}
}

updatedAt

Type: string

Example: example

updatedBy

Type: string

Example: example

workbookId

Type: string

Example: example

description

Type: string | null

Example: example

Была ли статья полезна?

Предыдущая
Get subscription by id
Следующая
Delete subscription by id
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»